### Constructor

# Meta Barrier new

#### Declaration [src]

    MetaBarrier*
    meta_barrier_new (
      MetaBackend* backend,
      int x1,
      int y1,
      int x2,
      int y2,
      MetaBarrierDirection directions,
      MetaBarrierFlags flags,
      GError** error
    )

#### Description

No description available.

#### Parameters

`backend`

  Type: `MetaBackend`

  No description available.

  The data is owned by the caller of the function.

`x1`

  Type: `int`

  No description available.

`y1`

  Type: `int`

  No description available.

`x2`

  Type: `int`

  No description available.

`y2`

  Type: `int`

  No description available.

`directions`

  Type: `MetaBarrierDirection`

  No description available.

`flags`

  Type: `MetaBarrierFlags`

  No description available.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `MetaBarrier`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.